// Copyright (C) 2018 Avatao.com Innovative Learning Kft.
// All Rights Reserved. See LICENSE file for details.

import { Injectable } from '@angular/core';
import { WebSocketService } from './websocket.service';

import { FSMUpdate } from '../message-types/fsm-update';

@Injectable()
export class FSMUpdateService {
  public current_state: string;
  public valid_transitions: object;

  constructor(private websocketService: WebSocketService) {}

  public init(): void {
    this.websocketService.observeKey<FSMUpdate>('fsm.announce').subscribe((event) => {
      this.current_state = event.current_state;
      this.valid_transitions = event.valid_transitions;
    });
  }

}
